This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 490725 - Review Request: geanyvc - Version Controler plugin for geany
Review Request: geanyvc - Version Controler plugin for geany
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 458773 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 14:19 EDT by Pierre-YvesChibon
Modified: 2009-05-02 12:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.5-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 05:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2009-03-17 14:19:10 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs/geanyvc.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/geanyvc-0.5-1.fc10.src.rpm
Description: 
geanyvc is plugin that provides a uniform way of accessing the different
version-control systems inside Geany IDE. Only small subset of vc is 
implemented, but, hey, you don't need anything besides diff, log, status,
revert and commit most time.
Comment 1 Parag AN(पराग) 2009-03-18 10:47:36 EDT
I will review this.
Comment 2 Parag AN(पराग) 2009-03-20 03:44:45 EDT
1)koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1250821
missing intltool

2) License looks to be GPLv2+
Comment 3 Parag AN(पराग) 2009-03-20 03:47:15 EDT
just found this review already submitted https://bugzilla.redhat.com/show_bug.cgi?id=458773
Comment 4 Pierre-YvesChibon 2009-03-20 04:02:09 EDT
(In reply to comment #2)
> 1)koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1250821
> missing intltool
> 2) License looks to be GPLv2+ 
I'll correct these and upload a new spec/srpm

> just found this review already submitted
> https://bugzilla.redhat.com/show_bug.cgi?id=458773  
Since there has been no change in the bug since October 2008 I left a comment there asking if the reporter was still interested. Let's see if the reporter is still present :)
Comment 6 Pierre-YvesChibon 2009-04-01 05:22:00 EDT
What should we do ?
Comment 7 Parag AN(पराग) 2009-04-01 05:54:50 EDT
*** Bug 458773 has been marked as a duplicate of this bug. ***
Comment 8 Parag AN(पराग) 2009-04-01 06:07:35 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1269712
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
643b4b8ac313754e05c2e60db9c2713c  geanyvc-0.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package geanyvc-0.5-2.fc11.i586 =>
  Provides: geanyvc.so
  Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libcairo.so.2 libfontconfig.so.1 libfreetype.so.6 libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgtk-x11-2.0.so.0 libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 rtld(GNU_HASH)
+ Not a GUI App

Suggestions:
1) package should not own /usr/lib/geany as its owned by geany
Change 
%{_libdir}/geany/
to
%{_libdir}/geany/*

APPROVED.
Comment 9 Pierre-YvesChibon 2009-04-01 10:33:40 EDT
New Package CVS Request
=======================
Package Name: geanyvc
Short Description: Version controler plugin for geany
Owners: pingou
Branches: F-9 F-10
InitialCC:
Comment 10 Dennis Gilmore 2009-04-01 12:39:27 EDT
CVS done
Comment 11 Pierre-YvesChibon 2009-04-02 05:02:16 EDT
Thanks for the review it is being built :)
Comment 12 Fedora Update System 2009-04-16 05:07:52 EDT
geanyvc-0.5-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/geanyvc-0.5-4.fc10
Comment 13 Fedora Update System 2009-05-02 12:42:27 EDT
geanyvc-0.5-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.